## org.apache.tools.ant.types.resources.comparators
Class Size

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.resources.comparators.ResourceComparator
                  org.apache.tools.ant.types.resources.comparators.Size

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Comparator<Resource>

    public class Size

extends ResourceComparator

Compares Resources by size.

Since:
  Ant 1.7

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Size()`

Method Summary
`protected int` `resourceCompare(Resource foo, Resource bar)` Compare two Resources.

Methods inherited from class org.apache.tools.ant.types.resources.comparators.ResourceComparator
`compare, equals, hashCode`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Size

    public Size()

Method Detail

### resourceCompare

    protected int resourceCompare(Resource foo,
                                  Resource bar)

  Compare two Resources.

  Specified by:
    `resourceCompare` in class `ResourceComparator`
  Parameters:
    `foo` - the first Resource.
    `bar` - the second Resource.
  Returns:
    a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.